Safe Haskell | Safe-Inferred
Language | Haskell2010

UnboxedStuff

Contents

- Unboxed type constructors

Synopsis

- data X
- data Y
- data Z
- unboxedUnit :: (# #) -> (# #)
- unboxedTuple :: (# X, Y #) -> (# X, Y, Z #)
- unboxedSum :: (# X | Y #) -> (# X | Y | Z #)

# Documentation

data X #

data Y #

data Z #

# Unboxed type constructors

unboxedUnit :: (# #) -> (# #) #

unboxedTuple :: (# X, Y #) -> (# X, Y, Z #) #

unboxedSum :: (# X | Y #) -> (# X | Y | Z #) #